package com.zilber.boot.activiti.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("启动流程实例")
public class InstanceDTO {

    @NotBlank
    @ApiModelProperty(value = "流程定义Key")
    @Length(max = 32)
    private String procDefKey;

    @Length(max = 24)
    @ApiModelProperty(value = "发起人")
    private String createBy;

    @ApiModelProperty(value = "流程变量")
    private Map<String,Object> variables;

}
