package com.zilber.boot.activiti.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Getter
@Setter
@ApiModel("审批进度")
public class InstanceProgressVO implements Serializable {

    @ApiModelProperty("活动ID")
    private String actId;

    @ApiModelProperty("任务ID")
    private String taskId;

    @ApiModelProperty("活动名称")
    private String actName;

    // 'userTask', 'startEvent', 'noneEndEvent'
    @ApiModelProperty("活动类型")
    private String actType;

    @ApiModelProperty("流程实例ID")
    private String procInstId;

    @ApiModelProperty("任务执行时长")
    private BigInteger duration;

    // ActivityInstanceState
    @ApiModelProperty("活动状态：0-default 1-scopeComplete 2-canceled 3-starting 4-ending")
    private Integer state;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("执行人")
    private String assignee;

    @ApiModelProperty("审批意见")
    private String remark;

    @ApiModelProperty("额外操作项")
    private String operators;
}
